# Class TreeNodeWrapper

java.lang.Object
org.apache.jmeter.control.gui.TreeNodeWrapper

public final class TreeNodeWrapper extends Object
Used in JComboBoxes to reference JMeterTreeNodes

## Constructor Summary

Constructors
Constructor
Description
`TreeNodeWrapper(JMeterTreeNode tn, String label)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLabel()`
`JMeterTreeNode`
`getTreeNode()`
`String`
`toString()`
}

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TreeNodeWrapper

public TreeNodeWrapper(JMeterTreeNode tn, String label)

## Method Details

### getTreeNode

public JMeterTreeNode getTreeNode()

### toString

public String toString()
}

Overrides:
  `toString` in class `Object`

### getLabel

public String getLabel()

Returns:
  the label